package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.CompanyInfo;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.CompanyInfoMapper")
public interface CompanyInfoMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(CompanyInfo record);

    CompanyInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CompanyInfo record);

    List<CompanyInfo> queryAllCompanyInfo(CompanyInfo record);

    List<CompanyInfo> queryCompanyInfoByPage(Map<String, Object> parameter);

    int delete(String id);

    CompanyInfo queryCompanyInfo(CompanyInfo record);

    List<CompanyInfo> query(CompanyInfo record);
}

